Module java.desktop
Package javax.swing.plaf.basic

# Class BasicSplitPaneUI.BasicVerticalLayoutManager

java.lang.Object
javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager
javax.swing.plaf.basic.BasicSplitPaneUI.BasicVerticalLayoutManager

All Implemented Interfaces:
  `LayoutManager`, `LayoutManager2`

Enclosing class:
  BasicSplitPaneUI

public class BasicSplitPaneUI.BasicVerticalLayoutManager extends BasicSplitPaneUI.BasicHorizontalLayoutManager
LayoutManager used for JSplitPanes with an orientation of VERTICAL_SPLIT.

## Field Summary

### Fields declared in class javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager

`components, sizes`

## Constructor Summary

Constructors
Constructor
Description
`BasicVerticalLayoutManager()`
Constructs a new instance of `BasicVerticalLayoutManager`.

## Method Summary

### Methods declared in class javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager

`addLayoutComponent, addLayoutComponent, getAvailableSize, getInitialLocation, getLayoutAlignmentX, getLayoutAlignmentY, getPreferredSizeOfComponent, getSizeOfComponent, getSizes, invalidateLayout, layoutContainer, maximumLayoutSize, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent, resetSizeAt, resetToPreferredSizes, setComponentToSize, setSizes, updateComponents`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicVerticalLayoutManager

public BasicVerticalLayoutManager()
Constructs a new instance of `BasicVerticalLayoutManager`.